package org.elasticsearch.plugin.river.hazelcast

import org.elasticsearch.river.RiversModule
import org.elasticsearch.plugins.AbstractPlugin
import org.elasticsearch.common.inject.Inject

/** @author Stephen Samuel */
class HazelcastRiverPlugin @Inject() extends AbstractPlugin {

    def name: String = "river-hazelcast"
    def description: String = "River Hazelcast Plugin"

    def onModule(module: RiversModule) {
        module.registerRiver("hazelcast", classOf[HazelcastRiverModule])
    }
}

